package com.javacodegeeks.examples.linkedhashset.beans;

public class Planet {
    private String name;
    private int    positionFromTheSun;

    public Planet() {}

    public Planet(String name, int positionFromTheSun) {
        this.name               = name;
        this.positionFromTheSun = positionFromTheSun;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getPositionFromTheSun() {
        return positionFromTheSun;
    }

    public void setPositionFromTheSun(int positionFromTheSun) {
        this.positionFromTheSun = positionFromTheSun;
    }

    @Override
    public String toString() {
        return "Planet [name = " + name + ", positionFromTheSun = " + positionFromTheSun + "]";
    }

    @Override
    public int hashCode() {
        final int prime  = 31;
        int       result = 1;

        result = prime * result + ((name == null)
                                   ? 0
                                   : name.hashCode());
        result = prime * result + positionFromTheSun;

        return result;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }

        if (obj == null) {
            return false;
        }

        if (getClass() != obj.getClass()) {
            return false;
        }

        Planet other = (Planet) obj;

        if (name == null) {
            if (other.name != null) {
                return false;
            }
        } else if (!name.equals(other.name)) {
            return false;
        }

        if (positionFromTheSun != other.positionFromTheSun) {
            return false;
        }

        return true;
    }
}
